aboutsummaryrefslogtreecommitdiff
path: root/examples/toonepage
diff options
context:
space:
mode:
authorHans-Christoph Steiner <eighthave@users.sourceforge.net>2010-04-12 22:26:38 +0000
committerHans-Christoph Steiner <eighthave@users.sourceforge.net>2010-04-12 22:26:38 +0000
commit48d170d5d50bb84a96d249f17e2048c48270ea97 (patch)
tree6f4ad76ffb0031ca29e185bf8112b248f6c8402f /examples/toonepage
parent40341076a954c0f54449c06a82034c6e267c57d5 (diff)
consolidated 'pddp' lib stuff into a single place to make a libdir, ease Debian packaging, and remove the pddpserver
svn path=/trunk/externals/pddp/; revision=13424
Diffstat (limited to 'examples/toonepage')
-rwxr-xr-xexamples/toonepage21
1 files changed, 21 insertions, 0 deletions
diff --git a/examples/toonepage b/examples/toonepage
new file mode 100755
index 0000000..f59273a
--- /dev/null
+++ b/examples/toonepage
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+usage () {
+ cat << EOF
+usage: toonepage <pddpsource>.xml
+EOF
+}
+
+[ "$#" == 0 ] && { usage; exit 1; }
+
+SOURCE_NAME="$(basename $1)"
+SOURCE_STUB="$(basename $SOURCE_NAME .xml)"
+
+[ $SOURCE_STUB == $SOURCE_NAME ] && { usage; exit 1; }
+
+xmllint >/dev/null --xinclude --postvalid $1
+xsltproc --nonet --xinclude \
+ --stringparam html.stylesheet pddp.css \
+ -o "$SOURCE_STUB.html" \
+ /usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl \
+ $1